View Issue Details

IDProjectCategoryView StatusLast Update
0005153SOGoBackend Mailpublic2021-06-01 11:29
Reporterfrancesco.carzaniga Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformSolaris ZoneOSDebianOS Version10
Product Version4.3.2 
Fixed in Version5.1.1 
Summary0005153: SAML2 login mapping
Description

I am trying to setup SOGo with SAML2 authentication (via Keycloak), but I'm experiencing some weird behaviour.

SOGo configuration is as follows:
SOGoAuthenticationType = saml2;
SOGoSAML2PrivateKeyLocation = /certs/saml_sogo.key;
SOGoSAML2CertificateLocation = /certs/saml_sogo.pem;
SOGoSAML2IdpMetadataLocation = /etc/sogo/keycloak.xml;
SOGoSAML2IdpPublicKeyLocation = /certs/saml_sso.pub;
SOGoSAML2IdpCertificateLocation = /certs/saml_sso.pem;
SOGoSAML2LogoutEnabled = YES;
SOGoSAML2LogoutURL = https://mail.domain.com;
and Keycloak is configured using the metadata provided by SOGo.

When I try to login to SOGo it correctly redirects to the SSO page with a request, to which Keycloak responds nicely, for example:
<samlp:Response xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol" xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion" Destination="https://mail.domain.com/SOGo/saml2-signon-post&quot; ID="ID_86685f47-8cfe-458b-a046-286dc178d859" InResponseTo="_4F3828DFD1CB6FFB2A20091B9199DB1E" IssueInstant="2020-09-08T18:52:08.151Z" Version="2.0">
<saml:Issuer>https://sso.domaincom/auth/realms/realm&lt;/saml:Issuer>
<dsig:Signature xmlns:dsig="http://www.w3.org/2000/09/xmldsig#&quot;>
<dsig:SignedInfo>
<dsig:CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#&quot;/>
<dsig:SignatureMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha256&quot;/>
<dsig:Reference URI="#ID_86685f47-8cfe-458b-a046-286dc178d859">
<dsig:Transforms>
<dsig:Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature&quot;/>
<dsig:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#&quot;/>
</dsig:Transforms>
<dsig:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256&quot;/>
<dsig:DigestValue>....</dsig:DigestValue>
</dsig:Reference>
</dsig:SignedInfo>
<dsig:SignatureValue>....</dsig:SignatureValue>
<dsig:KeyInfo>
<dsig:KeyName>....</dsig:KeyName>
<dsig:X509Data>
<dsig:X509Certificate>....</dsig:X509Certificate>
</dsig:X509Data>
<dsig:KeyValue>
<dsig:RSAKeyValue>
<dsig:Modulus>....</dsig:Modulus>
<dsig:Exponent>....</dsig:Exponent>
</dsig:RSAKeyValue>
</dsig:KeyValue>
</dsig:KeyInfo>
</dsig:Signature>
<samlp:Status>
<samlp:StatusCode Value="urn:oasis:names:tc:SAML:2.0:status:Success"/>
</samlp:Status>
<saml:Assertion xmlns="urn:oasis:names:tc:SAML:2.0:assertion" ID="ID_ddb6a884-3930-4c71-98d7-f5609cd29a30" IssueInstant="2020-09-08T18:52:08.151Z" Version="2.0">
<saml:Issuer>https://sso.domain.com/auth/realms/realm&lt;/saml:Issuer>
<dsig:Signature xmlns:dsig="http://www.w3.org/2000/09/xmldsig#&quot;>
<dsig:SignedInfo>
<dsig:CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#&quot;/>
<dsig:SignatureMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha256&quot;/>
<dsig:Reference URI="#ID_ddb6a884-3930-4c71-98d7-f5609cd29a30">
<dsig:Transforms>
<dsig:Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature&quot;/>
<dsig:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#&quot;/>
</dsig:Transforms>
<dsig:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256&quot;/>
<dsig:DigestValue>....</dsig:DigestValue>
</dsig:Reference>
</dsig:SignedInfo>
<dsig:SignatureValue>....</dsig:SignatureValue>
<dsig:KeyInfo>
<dsig:KeyName>....</dsig:KeyName>
<dsig:X509Data>
<dsig:X509Certificate>....</dsig:X509Certificate>
</dsig:X509Data>
<dsig:KeyValue>
<dsig:RSAKeyValue>
<dsig:Modulus>....</dsig:Modulus>
<dsig:Exponent>....</dsig:Exponent>
</dsig:RSAKeyValue>
</dsig:KeyValue>
</dsig:KeyInfo>
</dsig:Signature>
<saml:Subject>
<saml:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent">G-820ec535-fa2a-43ad-89de-6b18814acc85</saml:NameID>
<saml:SubjectConfirmation Method="urn:oasis:names:tc:SAML:2.0:cm:bearer">
<saml:SubjectConfirmationData InResponseTo="_4F3828DFD1CB6FFB2A20091B9199DB1E" NotOnOrAfter="2020-09-08T18:57:06.151Z" Recipient="https://mail.domain.com/SOGo/saml2-signon-post&quot;/>
</saml:SubjectConfirmation>
</saml:Subject>
<saml:Conditions NotBefore="2020-09-08T18:52:06.151Z" NotOnOrAfter="2020-09-08T18:53:06.151Z">
<saml:AudienceRestriction>
<saml:Audience>https://mail.domain.com/SOGo/saml2-metadata&lt;/saml:Audience>
</saml:AudienceRestriction>
</saml:Conditions>
<saml:AuthnStatement AuthnInstant="2020-09-08T18:52:08.151Z" SessionIndex="cafd0a71-8d1e-4be7-beaa-2fcd179152c0::fe23effb-ef22-4588-a8af-586b2e2ec57e" SessionNotOnOrAfter="2020-09-09T04:52:08.151Z">
<saml:AuthnContext>
<saml:AuthnContextClassRef>urn:oasis:names:tc:SAML:2.0:ac:classes:unspecified</saml:AuthnContextClassRef>
</saml:AuthnContext>
</saml:AuthnStatement>
<saml:AttributeStatement>
<saml:Attribute FriendlyName="email" Name="email" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:basic">
<saml:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema&quot; xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance&quot; xsi:type="xs:string">user@domain.com</saml:AttributeValue>
</saml:Attribute>
<saml:Attribute FriendlyName="username" Name="username" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:basic">
<saml:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema&quot; xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance&quot; xsi:type="xs:string">user</saml:AttributeValue>
</saml:Attribute>
</saml:AttributeStatement>
</saml:Assertion>
</samlp:Response>

As far as I can tell, this is all perfectly compliant.

The interesting part comes when I try to map a login attribute. Normally I used login to SOGo using the full email address (SOGoForceExternalLoginWithEmail = YES) with LDAP, so I tried to set
SOGoSAML2LoginAttribute = mail;
but I would receive
NAME:NSInvalidArgumentException REASON:Tried to add nil value for key 'login' to dictionary INFO:{}
in sogo.log, so I thought there was some problem with my mappings in Keycloak. Turns out this is not the case, since when I use
SOGoSAML2LoginAttribute = username;
I get
(process:2822): GLib-GObject-CRITICAL **: 23:12:01.378: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
Sep 08 23:12:01 sogod [2822]: [IP] "GET /SOGo//[username] HTTP/1.0" 302 0/0 0.011 - - 0
which means that it can see the SAML attribute, which however is of course wrong and cannot be mapped to my users since it lacking the domain.

I tried a few different combinations of parameters, and it seems that the problems occurs when I try to map login to a string that contains a '@', which would make sense consider that in the source code for SAML2 a string with '@' is treated differently and is sent to SOGOUserManager.

However I need necessarily to have a '@' in the login attribute, so this breaks SAML2.

Steps To Reproduce
  1. Enable SAML2.
  2. Set SOGoSAML2LoginAttribute to a SAML attribute containing a '@'.
  3. Get NAME:NSInvalidArgumentException REASON:Tried to add nil value for key 'login' to dictionary INFO:{} and a 5** response from the server.
Additional Information

I had commented out SOGoUserSource to disable LDAP, but then I thought that maybe SOGoUserManager needed it to map it to the user uid so I enabled it again. This makes no difference.

Tagsldap, saml

Activities

rgf1042

rgf1042

2020-12-14 04:08

reporter   ~0014994

Hello! In our case we are trying to achieve SAML2 Authentication using a Microsoft ADFS server. We have tested using an email as an attribute (with the whole claim definition). If we send the full email address using <mail>@<host> we get (login nil value exception). If we send only <mail> then we get the same GLib Lasso errors.

We have also debugged the code and we can ensure that SOGo is receiving all the attributes. We also have network traces of the XML sent by the ADFS.

zingz0r

zingz0r

2021-01-27 11:28

reporter   ~0015066

I'm also getting these glib errors with SAML2.

(process:29406): GLib-GObject-CRITICAL **: 17:16:20.136: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

gdb.txt (4,123 bytes)   
(gdb) run
Starting program: /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Jan 27 17:18:05 sogod [7829]: version 5.0.1 (build @shiva2.inverse 202101260142) -- starting
Jan 27 17:18:05 sogod [7829]: vmem size check enabled: shutting down app when vmem > 500 MB. Currently at 87 MB
Jan 27 17:18:05 sogod [7829]: <0x0x555555888530[SOGoProductLoader]> SOGo products loaded from '/usr/lib/GNUstep/SOGo':
Jan 27 17:18:05 sogod [7829]: <0x0x555555888530[SOGoProductLoader]>   CommonUI.SOGo, Appointments.SOGo, MailerUI.SOGo, MainUI.SOGo, PreferencesUI.SOGo, Mailer.SOGo, SchedulerUI.SOGo, AdministrationUI.SOGo, MailPartViewers.SOGo, Contacts.SOGo, ActiveSync.SOGo, ContactsUI.SOGo
Jan 27 17:18:05 sogod [7829]: All products loaded - current memory usage at 98 MB
Jan 27 17:18:05 sogod [7829]: |SOGo| WOHttpAdaptor listening on address *:20000
Jan 27 17:18:09 sogod [7829]: |SOGo| starting method 'GET' on uri '/SOGo/'
Jan 27 17:18:09 sogod [7829]: <0x0x55555571b060[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Jan 27 17:18:09 sogod [7829]: <0x0x55555571b060[SOGoCache]> Using host(s) '127.0.0.1' as server(s)
Jan 27 17:18:09 sogod [7829]: [ERROR] <0x0x555555d55fb0[SOGoUserManager]> attempted to register a contact/user source with duplicated id (global_addressbook)

Breakpoint 1, 0x00007ffff64050c0 in g_log () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff64050c0 in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff653f84a in  () at /usr/lib/liblasso.so.3
#2  0x00007ffff552e8e5 in xmlSecError () at /usr/lib/x86_64-linux-gnu/libxmlsec1.so.1
#3  0x00007ffff558d9e0 in xmlSecOpenSSLAppKeyLoadBIO () at /usr/lib/x86_64-linux-gnu/libxmlsec1-openssl.so.1
#4  0x00007ffff558e02c in xmlSecOpenSSLAppKeyLoadMemory () at /usr/lib/x86_64-linux-gnu/libxmlsec1-openssl.so.1
#5  0x00007ffff6545a62 in  () at /usr/lib/liblasso.so.3
#6  0x00007ffff6545ced in  () at /usr/lib/liblasso.so.3
#7  0x00007ffff6545e38 in  () at /usr/lib/liblasso.so.3
#8  0x00007ffff656a48d in  () at /usr/lib/liblasso.so.3
#9  0x00007ffff656a965 in  () at /usr/lib/liblasso.so.3
#10 0x00007ffff656e2f6 in  () at /usr/lib/liblasso.so.3
#11 0x00007ffff7f54ba5 in  () at /usr/lib/sogo/libSOGo.so.5
#12 0x00007ffff7f54c19 in  () at /usr/lib/sogo/libSOGo.so.5
#13 0x00007ffff255a525 in  () at /usr/lib/GNUstep/SOGo/MainUI.SOGo/MainUI
#14 0x00007ffff255a989 in  () at /usr/lib/GNUstep/SOGo/MainUI.SOGo/MainUI
#15 0x00007ffff7a57c83 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a57d4a in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a5232f in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a54760 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff79db96f in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff799c968 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff799cc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x000055555555d56d in  ()
#23 0x00007ffff7a43122 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff7a43498 in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x00007ffff7a3f22d in  () at /usr/lib/libNGObjWeb.so.4.9
#26 0x00007ffff7a3f43d in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a3f843 in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff7a3fcbf in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff712c357 in  () at /usr/lib/libgnustep-base.so.1.26
#30 0x00007ffff75f4cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#31 0x00007ffff7242899 in  () at /usr/lib/libgnustep-base.so.1.26
#32 0x00007ffff71744ff in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff7174294 in  () at /usr/lib/libgnustep-base.so.1.26
#34 0x00007ffff799c1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#35 0x000055555555c70c in  ()
#36 0x00007ffff79c6307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#37 0x00007ffff79e6ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#38 0x000055555555b2fe in main ()
gdb.txt (4,123 bytes)   
zingz0r

zingz0r

2021-01-29 05:58

reporter   ~0015067

here is the full stack trace for every GLib-GObject-CRITICAL in order if it helps

stacktrace.txt (54,986 bytes)   
Kill the program being debugged? (y or n) y
[Inferior 1 (process 4634) killed]
(gdb) run
Starting program: /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Jan 29 11:52:50 sogod [6509]: version 5.0.1 (build @shiva2.inverse 202101270141) -- starting
Jan 29 11:52:50 sogod [6509]: vmem size check enabled: shutting down app when vmem > 500 MB. Currently at 87 MB
Jan 29 11:52:50 sogod [6509]: <0x0x5555558883a0[SOGoProductLoader]> SOGo products loaded from '/usr/lib/GNUstep/SOGo':
Jan 29 11:52:50 sogod [6509]: <0x0x5555558883a0[SOGoProductLoader]>   CommonUI.SOGo, Appointments.SOGo, MailerUI.SOGo, MainUI.SOGo, PreferencesUI.SOGo, Mailer.SOGo, SchedulerUI.SOGo, AdministrationUI.SOGo, MailPartViewers.SOGo, Contacts.SOGo, ActiveSync.SOGo, ContactsUI.SOGo
Jan 29 11:52:50 sogod [6509]: All products loaded - current memory usage at 98 MB
Jan 29 11:52:50 sogod [6509]: |SOGo| WOHttpAdaptor listening on address *:20000
Jan 29 11:52:54 sogod [6509]: <0x0x55555574c470[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Jan 29 11:52:54 sogod [6509]: <0x0x55555574c470[SOGoCache]> Using host(s) '127.0.0.1' as server(s)

(process:6509): GLib-GObject-CRITICAL **: 11:52:54.728: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f481e3 in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a68895 in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7f4914b in  () at /usr/lib/sogo/libSOGo.so.5
#13 0x00007ffff7a53358 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x000055555555d56d in  ()
#18 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#26 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#27 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#28 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x000055555555c70c in  ()
#31 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#33 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:02.892: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f48a3f in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a67d7e in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a67f89 in  () at /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7f4858a in  () at /usr/lib/sogo/libSOGo.so.5
#14 0x00007ffff7a63ad8 in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7f5310b in  () at /usr/lib/sogo/libSOGo.so.5
#16 0x00007ffff7a55645 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a55793 in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a55917 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a4f360 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a46842 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x000055555555cc8a in  ()
#22 0x00007ffff7a50ebd in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a53760 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#26 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x000055555555d56d in  ()
#28 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#31 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#33 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#34 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#35 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#36 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#37 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#38 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#39 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#40 0x000055555555c70c in  ()
#41 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#42 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#43 0x000055555555b2fe in main ()
(gdb) c
Continuing.
Jan 29 11:53:07 sogod [6509]: [ERROR] <0x0x555555709490[SOGoUserManager]> attempted to register a contact/user source with duplicated id (global_addressbook)
Jan 29 11:53:07 sogod [6509]: 10.0.0.133 "GET /SOGo/ HTTP/1.1" 302 0/0 12.501 - - 5M - 11

(process:6509): GLib-GObject-CRITICAL **: 11:53:07.233: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f481e3 in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a68895 in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7f4914b in  () at /usr/lib/sogo/libSOGo.so.5
#13 0x00007ffff7a53358 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x000055555555d56d in  ()
#18 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#26 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#27 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#28 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x000055555555c70c in  ()
#31 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#33 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:10.723: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f48a3f in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a67d7e in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a67f89 in  () at /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7f4858a in  () at /usr/lib/sogo/libSOGo.so.5
#14 0x00007ffff7a63ad8 in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7f5310b in  () at /usr/lib/sogo/libSOGo.so.5
#16 0x00007ffff7a55645 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a55793 in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a55917 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a4f360 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a46842 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x000055555555cc8a in  ()
#22 0x00007ffff7a50ebd in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a53760 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#26 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x000055555555d56d in  ()
#28 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#31 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#33 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#34 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#35 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#36 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#37 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#38 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#39 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#40 0x000055555555c70c in  ()
#41 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#42 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#43 0x000055555555b2fe in main ()
(gdb) c
Continuing.
Jan 29 11:53:14 sogod [6509]: 10.0.0.133 "GET /SOGo/ HTTP/1.1" 302 0/0 7.547 - - 0 - 11

(process:6509): GLib-GObject-CRITICAL **: 11:53:14.785: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f481e3 in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a68895 in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7f4914b in  () at /usr/lib/sogo/libSOGo.so.5
#13 0x00007ffff7a53358 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x000055555555d56d in  ()
#18 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#26 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#27 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#28 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x000055555555c70c in  ()
#31 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#33 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:18.140: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f48a3f in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a67d7e in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a67f89 in  () at /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7f4858a in  () at /usr/lib/sogo/libSOGo.so.5
#14 0x00007ffff7a5ff4e in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a6036d in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a60dcb in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a612ae in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a4d9e3 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a4e1b8 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a52642 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a53434 in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x000055555555d56d in  ()
#26 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#31 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#34 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#35 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#36 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#37 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#38 0x000055555555c70c in  ()
#39 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#40 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#41 0x000055555555b2fe in main ()
(gdb) c
Continuing.
Jan 29 11:53:21 sogod [6509]: 10.0.0.133 "GET /SOGo/email@domain.com HTTP/1.1" 302 0/0 6.756 - - 0 - 11

(process:6509): GLib-GObject-CRITICAL **: 11:53:21.545: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f481e3 in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a68895 in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7f4914b in  () at /usr/lib/sogo/libSOGo.so.5
#13 0x00007ffff7a53358 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x000055555555d56d in  ()
#18 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#26 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#27 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#28 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x000055555555c70c in  ()
#31 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#33 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:24.835: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f48a3f in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a67d7e in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a67f89 in  () at /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7f4858a in  () at /usr/lib/sogo/libSOGo.so.5
#14 0x00007ffff7a5ff4e in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a6036d in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a60dcb in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a612ae in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a4d9e3 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a4e1b8 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a52642 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a53434 in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x000055555555d56d in  ()
#26 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#31 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#34 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#35 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#36 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#37 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#38 0x000055555555c70c in  ()
#39 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#40 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#41 0x000055555555b2fe in main ()
(gdb) c
Continuing.
Jan 29 11:53:27 sogod [6509]: 10.0.0.133 "GET /SOGo/email@domain.com/view HTTP/1.1" 302 0/0 5.732 - - 0 - 11

(process:6509): GLib-GObject-CRITICAL **: 11:53:27.283: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f481e3 in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a68895 in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7f4914b in  () at /usr/lib/sogo/libSOGo.so.5
#13 0x00007ffff7a53358 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x000055555555d56d in  ()
#18 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#26 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#27 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#28 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x000055555555c70c in  ()
#31 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#33 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:29.700: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f48a3f in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a67d7e in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a67f89 in  () at /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7f4858a in  () at /usr/lib/sogo/libSOGo.so.5
#14 0x00007ffff7a5ff4e in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a6036d in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a60dcb in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a612ae in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a4d9e3 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a4e1b8 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a52642 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a53434 in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x000055555555d56d in  ()
#26 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#31 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#34 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#35 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#36 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#37 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#38 0x000055555555c70c in  ()
#39 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#40 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#41 0x000055555555b2fe in main ()
(gdb) c
Continuing.
Jan 29 11:53:32 sogod [6509]: 10.0.0.133 "GET /SOGo/so/email@domain.com/Mail HTTP/1.1" 302 0/0 4.888 - - 0 - 11

(process:6509): GLib-GObject-CRITICAL **: 11:53:32.179: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f481e3 in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a68895 in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7f4914b in  () at /usr/lib/sogo/libSOGo.so.5
#13 0x00007ffff7a53358 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x000055555555d56d in  ()
#18 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#26 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#27 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#28 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x000055555555c70c in  ()
#31 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#33 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:34.923: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f48a3f in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a67d7e in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a67f89 in  () at /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7f4858a in  () at /usr/lib/sogo/libSOGo.so.5
#14 0x00007ffff7a5ff4e in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a6036d in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a60dcb in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a612ae in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a4d9e3 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a4e1b8 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a52642 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a53434 in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x000055555555d56d in  ()
#26 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#31 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#34 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#35 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#36 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#37 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#38 0x000055555555c70c in  ()
#39 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#40 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#41 0x000055555555b2fe in main ()
(gdb) c
Continuing.
Jan 29 11:53:37 sogod [6509]: 10.0.0.133 "GET /SOGo/so/email@domain.com/Mail/view HTTP/1.1" 200 23234/0 5.176 88337 73% 2M - 11

(process:6509): GLib-GObject-CRITICAL **: 11:53:37.539: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f481e3 in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a68895 in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7f4914b in  () at /usr/lib/sogo/libSOGo.so.5
#13 0x00007ffff7a53358 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x000055555555d56d in  ()
#18 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#26 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#27 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#28 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x000055555555c70c in  ()
#31 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#33 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:45.236: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f48a3f in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a67d7e in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a67f89 in  () at /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7f4858a in  () at /usr/lib/sogo/libSOGo.so.5
#14 0x00007ffff7a5ff4e in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a6036d in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a60dcb in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a612ae in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a4d9e3 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a4e1b8 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a52642 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a53434 in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x000055555555d56d in  ()
#26 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#31 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#34 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#35 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#36 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#37 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#38 0x000055555555c70c in  ()
#39 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#40 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#41 0x000055555555b2fe in main ()
(gdb) c
Continuing.
Jan 29 11:53:46 sogod [6509]: [WARN] <0x0x555555714390[SOGoWebDAVAclManager]> entry '{DAV:}write' already exists in DAV permissions table
Jan 29 11:53:46 sogod [6509]: [WARN] <0x0x555555714390[SOGoWebDAVAclManager]> entry '{DAV:}write-properties' already exists in DAV permissions table
Jan 29 11:53:46 sogod [6509]: [WARN] <0x0x555555714390[SOGoWebDAVAclManager]> entry '{DAV:}write-content' already exists in DAV permissions table
Jan 29 11:53:46 sogod [6509]: 10.0.0.133 "GET /SOGo/so/email@domain.com/Calendar/alarmslist?browserTime=1611917617 HTTP/1.1" 500 36/0 9.278 - - 0 - 12

(process:6509): GLib-GObject-CRITICAL **: 11:53:46.820: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f481e3 in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a68895 in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7f4914b in  () at /usr/lib/sogo/libSOGo.so.5
#13 0x00007ffff7a53358 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x000055555555d56d in  ()
#18 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#25 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#26 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#27 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#28 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x000055555555c70c in  ()
#31 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#33 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:48.340: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f48a3f in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a67d7e in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a67f89 in  () at /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7f4858a in  () at /usr/lib/sogo/libSOGo.so.5
#14 0x00007ffff7a5ff4e in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a6036d in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a60dcb in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a612ae in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a4d9e3 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a4e1b8 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a52642 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a53434 in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x000055555555d56d in  ()
#26 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#31 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#34 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#35 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#36 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#37 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#38 0x000055555555c70c in  ()
#39 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#40 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#41 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:49.908: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f48ec0 in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff2b7b57a in  () at /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer
#10 0x00007ffff2b7641d in  () at /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer
#11 0x00007ffff2b76967 in  () at /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer
#12 0x00007ffff2b7c1ce in  () at /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer
#13 0x00007ffff7a4d718 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff7a4d995 in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a4e1b8 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a52642 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a53434 in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x000055555555d56d in  ()
#22 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#26 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#30 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#31 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#32 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#34 0x000055555555c70c in  ()
#35 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#36 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#37 0x000055555555b2fe in main ()
(gdb) c
Continuing.
űJan 29 11:53:51 sogod [6509]: 10.0.0.133 "POST /SOGo/so/email@domain.com/Mail/0/folderINBOX/view HTTP/1.1" 500 36/126 4.936 - - 0 - 13

(process:6509): GLib-GObject-CRITICAL **: 11:53:51.754: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) űbt
Undefined command: "".  Try "help".
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:54.499: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f4845c in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff7f48259 in  () at /usr/lib/sogo/libSOGo.so.5
#10 0x00007ffff7f48a3f in  () at /usr/lib/sogo/libSOGo.so.5
#11 0x00007ffff7a67d7e in  () at /usr/lib/libNGObjWeb.so.4.9
#12 0x00007ffff7a67f89 in  () at /usr/lib/libNGObjWeb.so.4.9
#13 0x00007ffff7f4858a in  () at /usr/lib/sogo/libSOGo.so.5
#14 0x00007ffff7a5ff4e in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a6036d in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a60dcb in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a612ae in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff7a4d9e3 in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff7a4e1b8 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff7a52642 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x00007ffff7a53434 in  () at /usr/lib/libNGObjWeb.so.4.9
#22 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x000055555555d56d in  ()
#26 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#29 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#30 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#31 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#32 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#34 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#35 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#36 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#37 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#38 0x000055555555c70c in  ()
#39 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#40 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#41 0x000055555555b2fe in main ()
(gdb) c
Continuing.

(process:6509): GLib-GObject-CRITICAL **: 11:53:56.100: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

Program received signal SIGTRAP, Trace/breakpoint trap.
0x00007ffff6402c75 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6402c75 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6403f7d in g_logv () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff640414f in g_log () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff64e3a4c in g_object_ref () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x00007ffff7f550db in  () at /usr/lib/sogo/libSOGo.so.5
#5  0x00007ffff7f55b18 in  () at /usr/lib/sogo/libSOGo.so.5
#6  0x00007ffff7f55ca9 in  () at /usr/lib/sogo/libSOGo.so.5
#7  0x00007ffff7f55ddc in  () at /usr/lib/sogo/libSOGo.so.5
#8  0x00007ffff7f48ec0 in  () at /usr/lib/sogo/libSOGo.so.5
#9  0x00007ffff2b7b57a in  () at /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer
#10 0x00007ffff2b7641d in  () at /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer
#11 0x00007ffff2b76967 in  () at /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer
#12 0x00007ffff2b7c1ce in  () at /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer
#13 0x00007ffff7a4d718 in  () at /usr/lib/libNGObjWeb.so.4.9
#14 0x00007ffff7a4d995 in  () at /usr/lib/libNGObjWeb.so.4.9
#15 0x00007ffff7a4e1b8 in  () at /usr/lib/libNGObjWeb.so.4.9
#16 0x00007ffff7a52642 in  () at /usr/lib/libNGObjWeb.so.4.9
#17 0x00007ffff7a53434 in  () at /usr/lib/libNGObjWeb.so.4.9
#18 0x00007ffff79da96f in  () at /usr/lib/libNGObjWeb.so.4.9
#19 0x00007ffff799b968 in  () at /usr/lib/libNGObjWeb.so.4.9
#20 0x00007ffff799bc81 in  () at /usr/lib/libNGObjWeb.so.4.9
#21 0x000055555555d56d in  ()
#22 0x00007ffff7a42122 in  () at /usr/lib/libNGObjWeb.so.4.9
#23 0x00007ffff7a42498 in  () at /usr/lib/libNGObjWeb.so.4.9
#24 0x00007ffff7a3e22d in  () at /usr/lib/libNGObjWeb.so.4.9
#25 0x00007ffff7a3e43d in  () at /usr/lib/libNGObjWeb.so.4.9
#26 0x00007ffff7a3e843 in  () at /usr/lib/libNGObjWeb.so.4.9
#27 0x00007ffff7a3ecbf in  () at /usr/lib/libNGObjWeb.so.4.9
#28 0x00007ffff712b357 in  () at /usr/lib/libgnustep-base.so.1.26
#29 0x00007ffff75f3cb0 in  () at /usr/lib/libNGExtensions.so.4.9
#30 0x00007ffff7241899 in  () at /usr/lib/libgnustep-base.so.1.26
#31 0x00007ffff71734ff in  () at /usr/lib/libgnustep-base.so.1.26
#32 0x00007ffff7173294 in  () at /usr/lib/libgnustep-base.so.1.26
#33 0x00007ffff799b1a4 in  () at /usr/lib/libNGObjWeb.so.4.9
#34 0x000055555555c70c in  ()
#35 0x00007ffff79c5307 in WOApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#36 0x00007ffff79e5ec7 in WOWatchDogApplicationMain () at /usr/lib/libNGObjWeb.so.4.9
#37 0x000055555555b2fe in main ()
(gdb) c
Continuing.
Jan 29 11:53:58 sogod [6509]: 10.0.0.133 "GET /SOGo/so/email@domain.com/Mail/0/view HTTP/1.1" 500 36/0 6.343 - - 0 - 13
stacktrace.txt (54,986 bytes)   
zingz0r

zingz0r

2021-02-11 04:55

reporter   ~0015080

Tested with latest nightly. Same issue.

zingz0r

zingz0r

2021-02-27 12:31

reporter   ~0015108

On the UI it just shows "Request failed" and a blank page.

The following errors present in the console:
/SOGo/so/email@example.com/Calendar/alarmslist?browserTime=1614446900:1 Failed to load resource: the server responded with a status of 500 (Request Failed)
0/view:1 Failed to load resource: the server responded with a status of 500 (Request Failed)
0/folderINBOX/view:1

frcl

frcl

2021-02-28 09:29

reporter   ~0015110

I'm expieriencing similar issues on SOGo 5.0.1 (nightly). As far as I can see the first error the log file is

Lasso-CRITICAL **: 15:21:57.130: 2021-02-28 15:21:57 (profile.c/:939) Trying to unref a non GObject pointer file=profile.c:939 pointerbybname=profile->identity pointer=0x5557bf10b0d0

I would love to see some progress on this or at least some pointers on how to get more usefull information out of lasso about what went wrong.

Related Changesets

sogo: master 1d88d36d

2021-05-17 10:56:43

francis

Details Diff
fix(saml): fix profile initialization, improve error handling

Fixes 0005153
Fixes 0005270
Affected Issues
0005153, 0005270
mod - SoObjects/SOGo/SOGoSAML2Session.m Diff File

sogo: v2 3d1b365b

2021-05-27 13:58:45

francis

Details Diff
fix(saml): fix profile initialization, improve error handling

Fixes 0005153
Fixes 0005270
Affected Issues
0005153, 0005270
mod - SoObjects/SOGo/SOGoSAML2Session.h Diff File
mod - SoObjects/SOGo/SOGoSAML2Session.m Diff File

Issue History

Date Modified Username Field Change
2020-09-08 18:14 francesco.carzaniga New Issue
2020-09-08 18:14 francesco.carzaniga Tag Attached: ldap
2020-09-08 18:14 francesco.carzaniga Tag Attached: saml
2020-12-14 04:08 rgf1042 Note Added: 0014994
2021-01-27 11:28 zingz0r Note Added: 0015066
2021-01-27 11:28 zingz0r File Added: gdb.txt
2021-01-29 05:58 zingz0r Note Added: 0015067
2021-01-29 05:58 zingz0r File Added: stacktrace.txt
2021-02-11 04:55 zingz0r Note Added: 0015080
2021-02-27 12:31 zingz0r Note Added: 0015108
2021-02-28 09:29 frcl Note Added: 0015110
2021-06-01 08:29 francis Changeset attached => sogo master 1d88d36d
2021-06-01 08:29 francis Assigned To => francis
2021-06-01 08:29 francis Resolution open => fixed
2021-06-01 09:39 francis Status new => resolved
2021-06-01 09:39 francis Fixed in Version => 5.1.1
2021-06-01 11:29 francis Changeset attached => sogo v2 3d1b365b